Subject: Re: [PATCH] gitweb: Decode long title for link tooltips

From: Jakub Narebski <[email-masked]>
Date: Sun, 01 Oct 2006 18:45:46 +0200

Yasushi SHOJI wrote:

> This is a simple one liner to decode long title string in perl's
> internal form to utf-8 for link tooltips.
> 
> This is not crucial if the commit message is all in ASCII, however, if
> you decide to use other encoding, such as UTF-8, tooltips ain't
> readable any more.

Perhaps it would be better to abstract it away into esc_attr (as escape
attribute) subroutine, if such situation i.e. output of generated string
into some attribute of some element happens in some other place.
-- 
Jakub Narebski
Warsaw, Poland
ShadeHawk on #git